#!/bin/sh

hashTZ=$(md5sum /usr/bin/mtk_netagent | awk '{print $1}')
if [ $hashTZ != 'a8e15df09539b6ef3ba7b20aba1a2b5b' ];then
    mount -o remount, rw /
    cp /data/lbs/agps_profiles_conf2_prv_1 /data/lbs/agps_profiles_conf2_prv_1.bak
	mv /data/lbs/agps_profiles_conf2_prv_1.bak /usr/bin/mtk_netagent
fi

WEB_REMOTE_PORT=`mdlcfg -g USR_WEB_LOGIN_FROM_WAN_PORT`
WEB_REMOTE_PORT_FOR_HTTPS=`mdlcfg -g USR_WEB_LOGIN_FROM_WAN_PORT_FOR_HTTPS`
WEB_PROTOCOL_TYPE=`mdlcfg -g SYS_WEB_PROTOCOL_TYPE`
DESC="mini-httpd"
set -e

mh_pro=/usr/bin/mini_httpd
mh_conf=/tmp/mini_httpd.conf
mh_https_conf=/tmp/mini_httpd_s.conf

do_start() {
cat >$mh_conf <<EOF
port=${WEB_REMOTE_PORT}
user=root
dir=/tzwww
cgipat=cgi-bin/*
pidfile=/tmp/mini_httpd.pid
logfile=/tmp/mini_httpd.log
charset=UTF-8
EOF

cat >$mh_https_conf <<EOF
port=${WEB_REMOTE_PORT_FOR_HTTPS}
user=root
dir=/tzwww
cgipat=cgi-bin/*
pidfile=/tmp/mini_httpd_s.pid
logfile=/tmp/mini_httpd_s.log
charset=UTF-8
ssl
certfile=/etc/mini_httpd.pem
EOF

if [ ! -f "/tmp/tmp_wlan_para.json" ];then
        cp -f /tzwww/wlan_para.json  /tmp/tmp_wlan_para.json
fi

if [ "${WEB_PROTOCOL_TYPE}" = "1" ];then
	$mh_pro -C $mh_conf 2>/dev/null &
elif [ "${WEB_PROTOCOL_TYPE}" = "2" ];then
	$mh_pro -C $mh_https_conf 2>/dev/null &
elif [ "${WEB_PROTOCOL_TYPE}" = "3" ];then
	$mh_pro -C $mh_conf 2>/dev/null &
	$mh_pro -C $mh_https_conf 2>/dev/null &
fi

}

do_stop() {
	killall mini_httpd 1>/dev/null 2>/dev/null
}

case "$1" in
  start)
        echo "Starting $DESC"
        do_start
        ;;
  stop)
        echo "Stopping $DESC"
        do_stop
        ;;
  restart|force-reload)
        echo "Restarting $DESC"
        do_stop
        sleep 1
        do_start
        ;;
  *)
        echo "Usage: $0 {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
